POST /api/webhooks/elevenlabs/personalize
curl --request POST \
--url https://api.example.com/api/webhooks/elevenlabs/personalize \
--header 'Content-Type: application/json' \
--data '
{
"caller_id": "<string>",
"agent_id": "<string>",
"called_number": "<string>",
"call_sid": "<string>"
}
'import requests
url = "https://api.example.com/api/webhooks/elevenlabs/personalize"
payload = {
"caller_id": "<string>",
"agent_id": "<string>",
"called_number": "<string>",
"call_sid": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
caller_id: '<string>',
agent_id: '<string>',
called_number: '<string>',
call_sid: '<string>'
})
};
fetch('https://api.example.com/api/webhooks/elevenlabs/personalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
ElevenLabs Webhooks
POST /api/webhooks/elevenlabs/personalize
POST endpoint for /webhooks/elevenlabs/personalize
POST
/
api
/
webhooks
/
elevenlabs
/
personalize
POST /api/webhooks/elevenlabs/personalize
POST endpoint for /webhooks/elevenlabs/personalize
Request Body
string
required
caller_id
string
required
agent_id
string
required
called_number
string
call_sid
Response
Returnsunknown on success.
Example
curl -X POST https://your-domain.com/api/webhooks/elevenlabs/personalize \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_TOKEN"
const response = await fetch('/api/webhooks/elevenlabs/personalize', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${token}`
}
});
const data = await response.json();